Description

Step 2 and 3 works for the DUT which does not check ConfRev.
For DUT checks ConfReyv, it discards the SV after checking ConfRev version and may not really check the elements in the dataset.

It is suggested to add extra two steps:
4. SIMULATOR publishes SV stream with same ConfRev, with an extra dataset element parir at the end
5. SIMULATOR publishes SV stream with same ConfRev, with missing last dataset element pair

History

#1 - 01/12/2023 03:22 AM - Hua Qin
- File deleted (clipboard-202301120919-psgld.png)

#2 - 01/24/2023 09:17 AM - Thierry Dufaure

Adding those 2 steps means: test the subscriber when wrong configuration are provided. Based on 7-2 (and 90-28), adding or removing a DataSet
member lead to the increment of ConfRev

4. SIMULATOR publishes SV stream with same ConfRev, with an extra dataset element pair at the end
5. SIMULATOR publishes SV stream with same ConfRev, with missing last dataset element pair

#3 - 02/07/2023 08:06 AM - IEC 61850 TPWG
- Due date set to 02/21/2023
- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Accepted

#4 - 02/21/2023 08:15 AM - IEC 61850 TPWG
- Due date changed from 02/21/2023 to 03/07/2023

#5 - 02/21/2023 09:52 AM - Richard Schimmel
- File Solution to redmine 6208 sSvsN2.docx added

PIXIT entry Svs4 states the behavior on mismatching ConfRev.
PIXIT entry Svs5 states the behavior on mismatching dataset elements.
Mismatching ConfRev is already tested in sSvsN1. So we should keep the ConfRev at step 2 and 3 as proposed before

TBD — what is the added value of Step 1?? Consider to remove. It assumes the DUT supports PTP.
#6 - 03/21/2023 08:20 AM - IEC 61850 TPWG

- Status changed from In Progress to Rejected

Discard this request as it would be testing non-conformant behavior.

Files

Solution to redmine 6208 sSvsN2.docx 21.4 KB 02/21/2023 Richard Schimmel
